What i am trying to do is to build a line and a circle in autocad using lisp.
The code:
( DEFUN C:myprog ()
( COMMAND "_erase" "_all" "" )
( COMMAND "_line" ( LIST 10 10 ) ( LIST 10 100 ) "" )
( COMMAND "_circle" "10.0,50.0" 30.0 "" )
)
As a result I get a correctly build line, but a wrong circle. The center of the circle is in the point (10,10) - the beginning of the line. But it's supposed to be in (10,50).
What am I doing wrong?
Solved! Go to Solution.
Solved by hmsilva. Go to Solution.
@Anonymous wrote:
What i am trying to do is to build a line and a circle in autocad using lisp.
The code:
( DEFUN C:myprog ()
( COMMAND "_erase" "_all" "" )
( COMMAND "_line" ( LIST 10 10 ) ( LIST 10 100 ) "" )
( COMMAND "_circle" "10.0,50.0" 30.0 "" )
)
As a result I get a correctly build line, but a wrong circle. The center of the circle is in the point (10,10) - the beginning of the line. But it's supposed to be in (10,50).
What am I doing wrong?
Try
(DEFUN C:myprog () (COMMAND "_erase" "_all" "") (COMMAND "_line" "_NON" (LIST 10 10) "_NON" (LIST 10 100) "") (COMMAND "_circle" "_NON" "10.0,50.0" 30.0 "") )
Hope this helps,
Henrique
@Anonymous wrote:
...
( DEFUN C:myprog ()
( COMMAND "_erase" "_all" "" )
( COMMAND "_line" ( LIST 10 10 ) ( LIST 10 100 ) "" )
( COMMAND "_circle" "10.0,50.0" 30.0 "" )
)
....
What am I doing wrong?
To answer your question, you did not turn OSNAPS off. If they are still running, you can get unpredictible results. @hmsilva used the most simple way to do that.
John F. Uhden
Can't find what you're looking for? Ask the community or share your knowledge.